jQuery(function ($) {   
    
    $(document).on('click', '.nuovo', function (event) {
        event.preventDefault();

        var idAttrezzatura = $(this).attr('data-idAttrezzatura');
        $('#addAttrezzatura').find(".modal-body").load('index.php?option=com_osma&task=attrezzature.addattrezzatureform&format=raw&id=' + idAttrezzatura);
        $('#addAttrezzatura').find(".modal-footer").html('<button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button><button type="button" class="btn btn-primary salvabtn">Salva</button>');
        $('#addAttrezzatura').modal();

        return false;
    });

//Modifica
    $(document).on('click', '.modifica', function (event) {
        event.preventDefault();

        var checked = true;
        var idAttrezzatura = "";
        $.each($("input[name='cid[]']"), function (index, value) {
            if ($(value).attr("checked")) {
                checked = true;
                idAttrezzatura = $(value).val();
                return false;
            } else {
                checked = false;
            }
        });
        if (checked == true) {
            $('#addAttrezzatura').find(".modal-body").load('index.php?option=com_osma&task=attrezzature.addattrezzatureform&format=raw&id=' + idAttrezzatura);
            $('#addAttrezzatura').find(".modal-footer").html('<button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button><button type="button" class="btn btn-primary salvabtn">Salva</button>');
            $('#addAttrezzatura').modal();
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Pubblica
    $(document).on('click', '.pubblica', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        $.each($("input[name='cid[]']"), function (index, value) {
            if ($(value).attr("checked")) {
                ids.push($(value).val());
            }
        });
        if (ids.length != 0) {
            //ajax call
            var url = "index.php?option=com_osma&task=attrezzature.pubblica&format=raw";
            $.ajax({
                type: "POST",
                url: url,
                data: {ids: ids, type: 2
                }
            }).done(function (result) {
                var msg = {
                    success: ['Pubblicazione degli elementi selezionati avvenuta con successo.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh();
                }, 3000);
            });
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Sospendi
    $(document).on('click', '.sospendi', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        $.each($("input[name='cid[]']"), function (index, value) {
            if ($(value).attr("checked")) {
                ids.push($(value).val());
            }
        });
        if (ids.length != 0) {
            //ajax call
            var url = "index.php?option=com_osma&task=attrezzature.sospendi&format=raw";
            $.ajax({
                type: "POST",
                url: url,
                data: {ids: ids, type: 2
                }
            }).done(function (result) {
                var msg = {
                    success: ['Sospensione degli elementi selezionati avvenuta con successo.']
                };
                Joomla.renderMessages(msg);
                setInterval(function () {
                    refresh();
                }, 3000);
            });
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//Rimuovi
    $(document).on('click', '.rimuovi', function (event) {
        event.preventDefault();

        var i = 0;
        var ids = [];

        $.each($("input[name='cid[]']"), function (index, value) {
            if ($(value).attr("checked")) {
                ids.push($(value).val());
            }
        });
        if (ids.length != 0) {
            //chiedo conferma della Rimozione
            var r = confirm("Sei sicuro di voler eliminare gli elementi selezionati?");
            if (r) {
                var url = "index.php?option=com_osma&task=attrezzature.rimuovi&format=raw";
                $.ajax({
                    type: "POST",
                    url: url,
                    data: {ids: ids, type: 2
                    }
                }).done(function (result) {
                    $.each($("input[name='cid[]']"), function (index, value) {
                        if ($(value).attr("checked")) {
                            el = $(value);
                            el.parent().parent().remove();
                        }
                    });
                    var msg = {
                        success: ['Rimozione degli elementi selezionati avvenuta con successo.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh();
                    }, 3000);
                });
            } else {
                return false;
            }
        } else {
            var msg = {
                error: ['Seleziona almeno un elemento nella lista.']
            };
            Joomla.renderMessages(msg);
        }
        return false;
    });

//visualizza contatti
    $(document).on('click', '.contact-btn', function (event) {
        event.preventDefault();
        event.stopImmediatePropagation();
        event.stopPropagation();

        var idAttrezzatura = $(this).attr('data-idAttrezzatura');
        $('#viewContacts').find(".modal-body").load('index.php?option=com_osma&task=attrezzature.viewcontatti&format=raw&type=2&id=' + idAttrezzatura);
        $('#viewContacts').find(".modal-footer").html('<button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>');
        $('#viewContacts').modal();

        return false;
    });

//salvataggio dati attrezzatura
    $(document).on('click', '.salvabtn', function (event) {
        event.preventDefault();
        var inviaForm = 0;
        
        var marca = $('.marca').val();

        if (marca == "") {
            $('.marca').parent().addClass("has-error");
            $('.marca').parent().find('span').removeClass("hidden");
            inviaForm = false;
        } else {
            $('.marca').parent().removeClass("has-error");
            $('.marca').parent().addClass("has-success");
            $('.marca').parent().find('span').addClass("hidden");
            inviaForm = true;
        }

        if (inviaForm) {
            var addAttrezzaturaformfield = $('#add').serialize();

            $.ajax({
                type: 'POST',
                url: 'index.php?option=com_osma&task=attrezzature.salva&format=raw&tmpl=component&type=2',
                data: addAttrezzaturaformfield,
                dataType: 'html'
            }).done(function (data) {
                if (data == 'error') {
                    $('#addAttrezzatura').modal('toggle');
                    var msg = {
                        error: ['Errore nel salvataggio dei dati.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh();
                    }, 3000);
                } else {
                    $('#addAttrezzatura').modal('toggle');
                    var msg = {
                        success: ['Salvataggio dati avvenuto con successo.']
                    };
                    Joomla.renderMessages(msg);
                    setInterval(function () {
                        refresh();
                    }, 3000);
                }
            });
        }

        return false;
    });
//refresh page dopo aver mostrato il messaggio di salvataggio
    function refresh() {
        window.location.reload(true);
    }
});