<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php if (!osmaHelper::isAccessLevel(COM_OSMA_AL_MANUTENTORI)) { ?>
    <div class="visible-xs col-xs-12 text-right">
        <div class="btn-group btn-group-small">
            <a href="<?php echo osmaHelper::router('index.php?option=com_osma&view=amministrazione&layout=genera-preventivo') ?>" class="btn btn-success col-xs-12"><span class="fa fa-plus-circle"></span> Nuovo preventivo</a>
        </div>
    </div>
<?php } ?>
<div class="col-lg-6 col-sm-12 col-xs-12">
    <form action="<?php echo osmaHelper::router('index.php?option=com_osma&view=amministrazione&layout=elenco-preventivi'); ?>" method="post" id="search" class="form-validate search" name="search">
        <fieldset class="t3a-form row" id="t3a-form">
            <div class="field col-sm-3 col-xs-12">
                <div class='control-group has-icon'>
                    <input type="text" placeholder="Ricerca" name="filter_search" id="filter_search" value="<?php echo $this->searchterms; ?>" class="has-icon-left"/>
                    <span class="control-group-icon fa fa-search" data-toggle="filter_data"></span>
                </div>
            </div>
            <div class="field col-sm-3 col-xs-12">
                <select name="filter_preventivazione" id="filter_preventivazione" class='chosen' data-placeholder="Stato preventivazione">
                    <option value="" <?php echo(!JRequest::getVar('filter_preventivazione') ? "selected='selected'" : "") ?> ></option>
                    <option value="1" <?php echo(JRequest::getVar('filter_preventivazione') == 1 ? "selected='selected'" : "") ?>>Aperti</option>
                    <option value="2" <?php echo(JRequest::getVar('filter_preventivazione') == 2 ? "selected='selected'" : "") ?>>Conclusi</option>
                </select>
            </div>
            <div class="field col-sm-3 col-xs-12">
                <select name="filter_fatturazione" id="filter_fatturazione" class='chosen' data-placeholder="Stato fatturazione">
                    <option value <?php echo(!JRequest::getVar('filter_fatturazione') ? "selected='selected'" : "") ?>></option>
                    <option value="1" <?php echo(JRequest::getVar('filter_fatturazione') == 1 ? "selected='selected'" : "") ?>>Fatturati</option>
                    <option value="2" <?php echo(JRequest::getVar('filter_fatturazione') == 2 ? "selected='selected'" : "") ?>>Non fatturati</option>
                </select>
            </div>
            <div class="field col-sm-3 col-xs-12 text-center">
                <div class="btn-group btn-group-small">
                    <input type="submit" class="btn col-sm-6 col-xs-6" value="<?php echo JText::_('Trova'); ?>" />
                    <button class="btn reset-form col-sm-6 col-xs-6"><?php echo JText::_('Reset'); ?></button>
                </div>
            </div>
        </fieldset> 
    </form>
</div>
<?php if (!osmaHelper::isAccessLevel(COM_OSMA_AL_MANUTENTORI)) { ?>
    <div class="hidden-xs col-sm-6 text-right">
        <div class="btn-group btn-group-small">
            <span class="col-sm-8"></span>
            <a href="<?php echo osmaHelper::router('index.php?option=com_osma&view=amministrazione&layout=genera-preventivo') ?>" class="btn btn-success col-sm-4"><span class="fa fa-plus-circle"></span> Nuovo preventivo</a>
        </div>
    </div>
<?php } ?>