ALTER TABLE `#__osma_duvri_rapporto_distributori` 
ADD COLUMN `sA` INT NULL DEFAULT 0 AFTER `descrizione`,
ADD COLUMN `sPA` INT NULL DEFAULT 0 AFTER `sA`,
ADD COLUMN `aP` VARCHAR(255) NULL AFTER `sPA`;

ALTER TABLE `#__osma_anagrafica_manutentori` 
ADD COLUMN `signature` TEXT NULL AFTER `scadenzaVisita`;

CREATE TABLE IF NOT EXISTS `#__osma_rapporto_libretti_metrologici` (
    `idLibretto` INT NOT NULL AUTO_INCREMENT,
    `idIntervento` INT NOT NULL,
    `idMatricola` INT NOT NULL,
    `idUser` INT NOT NULL,
    `idPistole` TEXT NULL,
    `librettoMetrologico` TEXT NOT NULL,
    `inserted` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
PRIMARY KEY (`idLibretto`),
UNIQUE INDEX (`idIntervento` ASC, `idMatricola` ASC));

CREATE TABLE IF NOT EXISTS `#__osma_checklist` (
    `idChecklist` INT NOT NULL AUTO_INCREMENT,
    `idIntervento` INT NOT NULL,
    `idUser` INT NOT NULL,
    `matricolaDistributore` VARCHAR(255) NOT NULL,
    `matricolaSSD` VARCHAR(255) NOT NULL,
    `checks` TEXT NOT NULL,
    `inserted` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
PRIMARY KEY (`idChecklist`));


DROP TABLE `#__osma_db_version`;