<?php

$pdf->AddPage();
$pdf->SetFont('helvetica', '', 9);

$arrayFirme = array($rapporto->firma1, $rapporto->firma2);
$arrayNF = array();
$array2NF = array();

foreach ($arrayFirme as $firma) {
    $base64 = explode(',', $firma);
    $base64d = base64_decode($base64[1]);
    $im = imagecreatefromstring($base64d);
    imagealphablending($im, false);
    imagesavealpha($im, true);
    $ud = uniqid();
    if ($im !== false) {
        imagepng($im, "{$ud}.png");
        imagedestroy($im);

        $arrayNF[] = "{$ud}.png";
    }
}

$htmlFirme = "";
if ($info->firmaArray) {
    $count = 0;
    $firme = unserialize($info->firmaArray);
    foreach ($firme as $firma) {
        $base64 = explode(',', $firma['firma']);
        $base64d = base64_decode($base64[1]);
        $im = imagecreatefromstring($base64d);
        imagealphablending($im, false);
        imagesavealpha($im, true);
        $ud = uniqid();
        if ($im !== false) {
            imagepng($im, "{$ud}.png");
            imagedestroy($im);

            $array2NF[] = "{$ud}.png";

            $htmlFirme .= '<td style="width: 50%"><img style="max-width: 100%" src="' . $ud . '.png" /></td>';
            $count++;
            if ($count % 2 == 0) {
                $htmlFirme .= "</tr><tr>";
            }
        }
    }
}

$team = $model->getteam($info->idIntervento, $info->idChiamata);

$pageNum = 0;
$howManyPG = 1;

$html = self::minifyhtml('
        ' . $mainStyle . '
        <table style="width: 100%;" cellpadding="0">
            <tr>
                <td style="width: 32%; border-right: 1px solid #000; border-bottom: 1px solid #000"><h1>Consorzio Argelato</h1></td>
                <td style="width: 17%; border-left: 1px solid #000; border-bottom: 1px solid #000; border-top: 1px solid #000" >
                    <table cellpadding="3"><tr><td>
                        <b>Gestore:</b> ' . $gestore->NCompagnia . ', ' . $gestore->ragioneSociale . '<br>
                        <b>Località:</b> ' . $gestore->cap . ', ' . $gestore->comune . ' (' . $gestore->provincia . ')<br>
                        <b>Via:</b> ' . $gestore->indirizzo . '
                    </td></tr></table>
                </td>
                <td style="width: 17%; border-left: 1px solid #000; border-bottom: 1px solid #000; border-top: 1px solid #000" >
                    <table cellpadding="3"><tr><td style="text-align: center; font-size: 13px;"><b>Richiesta n°</b><br><span style="font-size: 12px">' . $info->nrChiamata . " - " . $info->nrChiamataCompagnia . "<br/>#" . str_pad($duvri->idIntervento, 4, "0", STR_PAD_LEFT) . '</span></td></tr></table>
                    <table style="border-top: 1px solid #000" cellpadding="3"><tr><td><b>Data:</b> ' . date("d/m/Y", strtotime($info->dataApertura)) . '</td></tr></table>
                    <table style="border-top: 1px solid #000" cellpadding="3"><tr><td><b>P.V.F.:</b> ' . $gestore->nrPuntoVendita . ' - ' . $gestore->nrRea . '</td></tr></table>
                </td>
                <td style="width: 17%; border-left: 1px solid #000; border-bottom: 1px solid #000; border-top: 1px solid #000" >
                    <table cellpadding="4">
                        <tr><td style="width: 85%">Meccanica</td><td style="width: 15%"><table cellpadding="1"><tr><td style="text-align: center; border: 1px solid #000;">' . ($rapporto->tipoIntervento == 1 ? "X" : "&nbsp;") . '</td></tr></table></td></tr>
                        <tr><td style="width: 85%">Elettrica</td><td style="width: 15%"><table cellpadding="1"><tr><td style="text-align: center; border: 1px solid #000;">' . ($rapporto->tipoIntervento == 3 ? "X" : "&nbsp;") . '</td></tr></table></td></tr>
                        <tr><td style="width: 85%">Elettronica</td><td style="width: 15%"><table cellpadding="1"><tr><td style="text-align: center; border: 1px solid #000;">' . ($rapporto->tipoIntervento == 4 ? "X" : "&nbsp;") . '</td></tr></table></td></tr>
                        <tr><td style="width: 85%">Edile</td><td style="width: 15%"><table cellpadding="1"><tr><td style="text-align: center; border: 1px solid #000;">' . ($rapporto->tipoIntervento == 2 ? "X" : "&nbsp;") . '</td></tr></table></td></tr>
                    </table>
                </td>
                <td style="width: 17%; border: 1px solid #000" >
                    <table cellpadding="3"><tr><td style="text-align: center; font-size: 15px;"><b>Rapporto di Lavoro<br></b></td></tr></table>
                    <table cellpadding="4">
                        <tr><td style="width: 85%">Ultimato</td><td style="width: 15%"><table cellpadding="1"><tr><td style="text-align: center; border: 1px solid #000;">' . ($info->dichiarazione2 ? "X" : "&nbsp;") . '</td></tr></table></td></tr>
                        <tr><td style="width: 85%">Da ultimare</td><td style="width: 15%"><table cellpadding="1"><tr><td style="text-align: center; border: 1px solid #000;">' . ($info->dichiarazione2 === '0' ? "X" : "&nbsp;") . '</td></tr></table></td></tr>
                    </table>
                </td>
            </tr>
        </table>
        <table style="border: 1px solid #000">
            <tr>
                <td style="width: 40%; border-right: 1px solid #000">
                    <table style="border-bottom: 1px solid #000;">
                        <tr>
                            <td style="width: 50%; border-bottom: 1px solid #000;"><table cellpadding="3"><tr><td style="font-size: 15px; text-align: center;"><b>Data intervento</b></td></tr></table></td>
                            <td style="width: 50%; border-bottom: 1px solid #000; border-left: 1px solid #000">
                                <table cellpadding="2">
                                    <tr><td style="width: 50%; border-bottom: 1px solid #000; text-align: center;"><b>Ora inizio</b></td><td style="width: 50%; border-bottom: 1px solid #000; border-left: 1px solid #000; text-align: center;"><b>Ora fine</b></td></tr>
                                    <tr><td style="width: 50%; text-align: center;"><b>' . date("H:i", strtotime($info->oraI)) . '</b></td><td style="width: 50%; border-left: 1px solid #000; text-align: center;"><b>' . date("H:i", strtotime($info->oraF)) . '</b></td></tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 50%; text-align: center; border-right: 1px solid #000">
                                <table cellpadding="7"><tr><td>' . date("d/m/Y", strtotime($info->inizioLavori)) . '</td></tr></table>
                            </td>
                            <td style="width: 50%; text-align: center;">
                                <table cellpadding="2">
                                    <tr><td style="border-bottom: 1px solid #000; text-align: center;"><b>Numero operai</b></td></tr>
                                    <tr><td style="text-align: center;">' . count($team) . '</td></tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                    <table cellpadding="4" style="border-bottom: 1px solid #000"><tr><td height="120px"><b>Misure e quantità:</b> ' . $info->descrizione . '</td></tr></table>
                    <table cellpadding="4" style="border-bottom: 1px solid #000"><tr><td height="120px"><b>Materiali e mezzi impiegati:</b> ' . $info->materialeImpiegato . '</td></tr></table>
                    <table cellpadding="4" style="border-bottom: 1px solid #000"><tr>
                        <td style="width: 90%">I componenti sostituiti sono conformi con quelli di tipo approvato:</td>
                        <td style="width: 10%">
                            <table>
                                <tr><td style="width: 60%;">Si</td><td style="width: 5%"></td><td style="width: 35%; border: 1px solid #000; text-align: center">' . ($info->dichiarazione1 ? "X" : "&nbsp;") . '</td></tr>
                                <tr><td style="width: 60%">No</td><td style="width: 5%"></td><td style="width: 35%; border: 1px solid #000; text-align: center">' . ($info->dichiarazione1 === '0' ? "X" : "&nbsp;") . '</td></tr>
                            </table>
                        </td>
                    </tr></table>
                    <table cellpadding="1">
                        <tr>
                            <td style="width: 45%; border-right: 1px solid #000; text-align: center;">Timbro e firma del gestore</td>
                            <td style="width: 55%; border-right: 1px solid #000; text-align: center;">Timbro e firma degli operai</td>
                        </tr>
                        <tr>
                            <td style="width: 45%; border-right: 1px solid #000; text-align: center;"><img style="max-width: 100%;" src="' . $arrayNF[0] . '" /></td>
                            <td style="width: 55%; border-right: 1px solid #000; text-align: center;">
                                <table style="width: 100%"><tr>' . $htmlFirme . '</tr></table>
                            </td>
                        </tr>
                    </table>
                </td>
                <td style="width: 60%;">
                    <table cellpadding="4"><tr><td><b>Descrizione lavori eseguiti:</b> ' . $info->osservazioni . '</td></tr></table>
                </td>
            </tr>
        </table>
    ');


$pdf->writeHTMLCell(0, 0, 5, 5, $html, 0, 2, false, true, "", true);
