<?php
defined('_JEXEC') or die('Restricted access');
?>


<div class="t3a-toolbar row">
    <form action="<?php echo osmaHelper::router('index.php?option=com_osma&view=amministrazione&layout=email-logger'); ?>" method="post" id="search" class="form-validate search t3a-form clearfix" id="t3a-form" name="search">
        <div class="col-sm-3 col-md-3 col-lg-2 col-xs-8">
            <div class='field search'>
                <input type="search" placeholder="Ricerca" name="filter_search" id="filter_search" value="<?php echo JRequest::getVar('filter_search'); ?>" onchange="document.adminForm.submit();"/>
            </div>
        </div>
        <div class="field col-sm-3 col-md-3 col-lg-2 col-xs-4">
            <select name="filter_section" id="filter_section" class='chosen' data-placeholder="Sezione mail">
                <option value="" <?php echo(!JRequest::getVar('filter_section') ? "selected='selected'" : "") ?> ></option>
                <?php if ($this->sections) { ?>
                    <?php foreach ($this->sections as $section) { ?>
                        <option value='<?php echo addslashes($section->section) ?>' <?php echo JRequest::getVar('filter_section') == $section->section ? "selected='selected'" : null ?>><?php echo $section->section ?></option>
                    <?php } ?>
                <?php } ?>
            </select>
        </div>
        <div class="field col-sm-3 col-md-3 col-lg-2 col-xs-6">
            <select name="filter_sended" id="filter_sended" class='chosen' data-placeholder="Stato d'invio">
                <option value <?php echo(!JRequest::getVar('filter_sended') ? "selected='selected'" : "") ?>></option>
                <option value="1" <?php echo(JRequest::getVar('filter_sended') == 1 ? "selected='selected'" : "") ?>>Inviate</option>
                <option value="2" <?php echo(JRequest::getVar('filter_sended') == 2 ? "selected='selected'" : "") ?>>Non inviate</option>
            </select>
        </div>
        <div class="field col-sm-3 col-md-3 col-lg-2 col-xs-6">
            <div class="btn-group btn-group-small">
                <input type="submit" class="btn col-xs-6" value="<?php echo JText::_('Trova'); ?>" />
                <button class="btn col-xs-6 reset-form"><?php echo JText::_('Reset'); ?></button>
            </div>
        </div>
    </form> 
</div>

<div class="panel panel-default main-panel ">
    <div class="panel-heading">
        <h2>Log email</h2>
    </div>
    <div class="panel-body">
        <table class="table table-bordered table-striped" style="table-layout:fixed;">
            <thead>
                <tr>
                    <th width="20%">Sezione mail</th>
                    <th width="20%">Destinatari</th>
                    <th width="33%">Oggetto</th>
                    <th width="10%">Riferimento</th>
                    <th class="center" width="12%">Data di invio</th>
                    <th class="center" width="5%">Inviato</th>
                </tr>
            </thead>
            <tbody>
                <?php if ($this->items) { ?>
                    <?php
                    foreach ($this->items as $mail) {
                        $riferimento = "";
                        switch ($mail->idSection) {
                            case 1:
                                $riferimento = "<a href='" . osmaHelper::router("index.php?option=com_osma&view=amministrazione&layout=genera-preventivo&idPreventivo=" . $mail->idRiferimento) . "'>Visualizza preventivo</a>";
                                break;
                            case 2:
                            case 3:
                            case 4:
                            case 5:
                            case 6:
                                $riferimento = "<a href='" . osmaHelper::router("index.php?option=com_osma&view=chiamata&idChiamata=" . $mail->idRiferimento) . "'>Visualizza chiamata</a>";
                                break;
                            case 7:
                                $riferimento = "<a href='" . osmaHelper::router("index.php?option=com_osma&view=preventivatore&layout=preventivo&idPreventivo=" . $mail->idRiferimento) . "'>Visualizza preventivo</a>";
                                break;
                        }
                        ?>
                        <tr>
                            <td><?php echo $mail->section ?></td>
                            <td style='max-width: 20%; text-overflow: ellipsis; white-space: nowrap; overflow: hidden;'><?php echo $mail->emails ?></td>
                            <td style='max-width: 25%; text-overflow: ellipsis; white-space: nowrap; overflow: hidden;'><?php echo $mail->subject ?></td>
                            <td><?php echo $riferimento ?></td>
                            <td style='text-align: center;'><?php echo date("d/m/Y H:i", strtotime($mail->inserted)) ?></td>
                            <td class='center'><?php echo $mail->sended ? "<i class='glyphicon glyphicon-ok' style='color: green'></i>" : "<i class='glyphicon glyphicon-remove' style='color: red'></i>" ?></td>
                        </tr>
                    <?php } ?>
                <?php } ?>
            </tbody>
            <tfoot>
                <tr>
                    <td colspan="6" class="t3a-pagination">
                        <form name='generaverificametricaperiodica' action='<?php echo osmaHelper::router('index.php?option=com_osma&view=amministrazione&layout=email-logger') ?>' method="POST" >
                            <div class="col-md-6 text-left"><?php echo $this->pagination->getListFooter(); ?></div>
                            <div class="col-md-6 text-right">Nr. Risultati: <?php echo $this->pagination->getLimitBox(); ?></div>
                        </form>
                    </td>
                </tr>
            </tfoot>
            <tbody>
                <?php if ($this->items) { ?>
                <?php } else { ?>
                    <tr>
                        <td colspan="12">Nessuna mail loggata.</td>
                    </tr>
                <?php } ?>
            </tbody>
        </table>
    </div>
</div>