<?php
defined('_JEXEC') or die('Restricted access');
?>

<div class="t3a-toolbar row">
    <div class="clearfix hidden-xs flex" style="align-items: center;">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
    <div class="visible-xs col-xs-12 text-center"style="padding-top: 15px; padding-bottom: 15px">
        <a href="#filter-collapse" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="filter-collapse"><i class="glyphicon glyphicon-filter"></i> Azioni e filtri</a>        
    </div>
    <div class="clearfix collapse" id="filter-collapse">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
</div>

<form action="<?php echo JRoute::_('index.php?option=com_osma&view=attrezzature'); ?>" method="POST" id="adminForm" class="form-validate" name="attrezzatureForm">
    <div class="panel panel-default main-panel">
        <div class="panel-heading">
            <h3 class="panel-title"><?php echo JText::_("COM_OSMA_ATTREZZATURE") ?></h3>
        </div>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th width="5%" class="center">#</th>
                            <th>Tipologia</th>
                            <th>Modello</th>
                            <th>Marca</th>
                            <th class="center" width="10%">Scad. Revisione</th>
                            <th width="10%" class="center">Pubblicato</th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <td colspan="6" class="t3a-pagination">
                                <div class="col-md-6 text-left"><?php echo $this->pagination->getListFooter(); ?></div>
                                <div class="col-md-6 text-right">Nr. Risultati: <?php echo $this->pagination->getLimitBox(); ?></div>
                            </td>
                        </tr>
                    </tfoot>
                    <tbody>
                        <?php if ($this->attrezzature) { ?>
                            <?php $i = 0; ?>
                            <?php foreach ($this->attrezzature as $attrezzatura) { ?>
                                <?php $checked = JHTML::_('grid.id', $i++, $attrezzatura->idAttrezzatura); ?>
                                <tr>
                                    <td class="center"><?php echo $checked; ?></td>
                                    <td><?php echo $attrezzatura->tipologia; ?></td>
                                    <td><?php echo $attrezzatura->modello; ?></td>
                                    <td><?php echo $attrezzatura->marca; ?></td>
                                    <td class="center"><?php echo strtotime($attrezzatura->scadenzaRevisione) > 0 ? date("d/m/Y", strtotime($attrezzatura->scadenzaRevisione)) : null ?></td>
                                    <td class="center"><?php if ($attrezzatura->published) { ?><span class="glyphicon glyphicon-ok-circle green"></span><?php } else { ?><span class="glyphicon glyphicon-ban-circle orange"></span><?php } ?></td>
                                </tr>
                            <?php } ?>
                        <?php } else { ?>
                        <td colspan="6">Nessuna attrezzatura inserita.</td>
                    <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="boxchecked" value="0"/>
    <?php echo JHtml::_('form.token'); ?>
</form>
<div class="modal fade bs-example-modal-lg" id="addAttrezzatura" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Dati attrezzatura</h4>
            </div>
            <div class="modal-body">
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade bs-example-modal-lg" id="viewContacts" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Contatti</h4>
            </div>
            <div class="modal-body">
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            </div>
        </div>
    </div>
</div>