<?php
defined('_JEXEC') or die('Restricted access');

$user = JFactory::getUser();
$userid = $user->get('id');

$statoChiamata = array(
    1 => 'Aperta',
    2 => 'In Corso',
    3 => 'Sospesa',
    4 => 'Chiusa',
    5 => 'In attesa di autorizzazione intervento',
    6 => 'In attesa di autorizzazione fatturazione',
    7 => 'Da assegnare',
    8 => 'Da preventivare',
    9 => 'Da consuntivare',
    10 => 'Fatturata',
    11 => 'Da evadere',
    12 => 'Da riformulare',
    13 => 'Preventivata',
    14 => 'Rifiutata',
    15 => 'Evasa',
    16 => 'Terminata'
);
$tipoChiamata = array(1 => 'Forfait', 2 => 'Extra Forfait', 3 => 'Programmate', 4 => 'Giroluci', 5 => 'Presa Visione');

$tipoIntervento = array(1 => 'Meccanico', 2 => 'Edile', 3 => 'Elettrico', 4 => 'Elettronico', 5 => 'Video Sorveglianza', 5 => 'Antintrusione');
?>

<div class="t3a-toolbar row">
    <div class="col-sm-12 hidden-xs">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
    <div class="visible-xs col-xs-12 text-center" style="padding-top: 15px; padding-bottom: 15px">
        <a href="#filter-collapse" data-toggle="collapse" role="button" aria-expanded="false"
           aria-controls="filter-collapse"><i class="glyphicon glyphicon-filter"></i> Azioni e filtri</a>
    </div>
    <div class="col-xs-12 collapse" id="filter-collapse">
        <?php echo $this->loadTemplate('form'); ?>
    </div>
</div>

<form action="<?php echo JRoute::_('index.php?option=com_osma&view=chiamate'); ?>" method="post" id="adminForm"
      class="form-validate matricoleForm" name="matricoleForm">

    <div class="panel panel-default main-panel" id="chiamate-print">
        <div class="panel-heading">
            <h3 class="panel-title">Elenco
                chiamate <?php echo($this->scaduteFilter ? "scadute" : "") ?><?php echo($this->daconsuntivareFilter ? "da preventivare" : "") ?>
                (<?php echo $this->get("Total") ?>)</h3>
        </div>
        <div class="panel-body">

            <div class="row pagination-top t3a-pagination">
                <div class="col-xs-12 col-sm-8 text-left"><?php echo $this->pagination->getListFooter(); ?></div>
                <div class="col-xs-12 col-sm-4 text-right">Nr.
                    Risultati: <?php echo $this->pagination->getLimitBox(); ?></div>
            </div>

            <?php if (!empty($this->chiamate)) { ?>
                <?php $i = 0; ?>
                <?php foreach ($this->chiamate as $i => $chiamata) { ?>
                    <div class='clearfix panel-wrapper flex '>
                        <div class='col-lg-11 col-sm-12 col-xs-12 to-print'>
                            <div class="row panel panel-default panelCompagnia"
                                 style="border-color: <?php echo $chiamata->compagniaColor; ?>!important;">
                                <div class="panel-body">
                                    <div class="row intestazione">
                                        <div class="hidden-print visible-sm visible-xs col-xs-12 col-sm-12 text-right">
                                            <h2><?php echo $chiamata->nrChiamata; ?> <i
                                                        class="fa fa-circle status-<?php echo(JFilterOutput::stringURLSafe($statoChiamata[$chiamata->stato])) ?>"></i>
                                            </h2>
                                        </div>
                                        <div class="compagnia hidden-xs col-sm-3 col-md-2 <?php echo $cCompagnia; ?>">
                                            <div class="imgContainer text-center">
                                                <?php if (JFile::exists(JPATH_SITE . DS . 'components' . DS . 'com_osma' . DS . 'files' . DS . 'compagnie' . DS . $chiamata->idCompagnia . '.jpg')) { ?>
                                                    <img class="img-responsive cImage"
                                                         src="<?php echo JURI::root(true) . '/components/com_osma/files/compagnie/' . $chiamata->idCompagnia . '.jpg'; ?>"/>
                                                <?php } else { ?>
                                                    <img class="img-responsive cImage"
                                                         src="<?php echo JURI::root(true) . '/components/com_osma/files/generic/no_img.gif'; ?>"/>
                                                <?php } ?>
                                            </div>
                                        </div>
                                        <div class="col-xs-12 col-sm-9 col-md-5">
                                            <h4 class="">
                                                <label>Stato:</label> <?php echo $statoChiamata[$chiamata->stato] ?>
                                            </h4>
                                            <h4 class="">
                                                <label>Tipo:</label> <?php echo $tipoChiamata[$chiamata->tipo] ?></h4>
                                            <p>
                                                <label>Apertura:</label> <?php echo(strtotime($chiamata->dataApertura) > 0 ? date("d/m/Y", strtotime($chiamata->dataApertura)) : "-"); ?>
                                            </p>
                                            <p><label>Entro il:</label> <span
                                                        class="cEntro"><?php echo(strtotime($chiamata->dataScadenza) > 0 ? date("d/m/Y", strtotime($chiamata->dataScadenza)) : "-"); ?></span>
                                            </p>
                                            <p><label>Punto Vendita:</label> <?php echo $chiamata->nrPuntoVendita; ?>
                                            </p>
                                            <p>
                                                <label>Indirizzo:</label>
                                                <?php echo($chiamata->indirizzo ? $chiamata->indirizzo . ", " . $chiamata->comune . " (" . $chiamata->provincia . ")" : "") ?>
                                                <?php echo($chiamata->fascia ? " - <strong>" . $chiamata->fascia . "</strong>" : "") ?>
                                                <?php echo($chiamata->contatti[0]->telefono ? " - Tel." . $chiamata->contatti[0]->telefono : "") ?>
                                            </p>
                                            <p><label>Oggetto:</label> <?php echo $chiamata->descrizioneGenerale; ?></p>
                                            <?php if ($chiamata->tipo == 2 && osmaHelper::isAccessLevel(COM_OSMA_AL_ADMIN)) { ?>
                                                <p style="margin-top: 15px; margin-bottom: 5px;">
                                                    <input type="checkbox" class="inputbox" name="consuntivata"
                                                           data-idChiamata="<?php echo $chiamata->idChiamata ?>"
                                                           value="true"
                                                           id="consuntivata-<?php echo $chiamata->idChiamata ?>" <?php echo($chiamata->consuntivata ? "checked='checked'" : "") ?>/>
                                                    <label for="consuntivata-<?php echo $chiamata->idChiamata ?>">Chiamata
                                                        preventivata</label><br/>
                                                </p>
                                                <?php if (!$chiamata->consuntivata) { ?>
                                                    <!--<a href="<?php /*echo osmaHelper::router("index.php?option=com_osma&view=preventivatore&layout=preventivo&idChiamata={$chiamata->idChiamata}") */?>"
                                                       class='btn btn-info btn-sm'>Aggiungi preventivo</a>-->

                                                    <a href="<?php echo osmaHelper::router("index.php?option=com_osma&task=preventivatore.aggiungiPreventivo&format=raw&idChiamata={$chiamata->idChiamata}") ?>"
                                                       class='btn btn-info btn-sm'>Aggiungi preventivo</a>


                                                <?php } ?>
                                                <?php if (osmaHelper::hasPreventivi($chiamata->idChiamata)) { ?>
                                                    <?php foreach (osmaHelper::hasPreventivi($chiamata->idChiamata) as $prev) { ?>
                                                        <div class="preventivo-<?php echo $prev->idPreventivo;?>">
                                                            <a href="<?php echo osmaHelper::router("index.php?option=com_osma&view=preventivatore&layout=preventivo&idPreventivo={$prev->idPreventivo}") ?>"
                                                               class='btn btn-info btn-sm' data-toggle="tooltip"
                                                               data-placement="top" title="Visualizza dettagli preventivo"><i
                                                                        class="fa fa-eye" aria-hidden="true"></i>
                                                                #<?php echo $prev->idPreventivo ?></a>
                                                            <a href=""
                                                               class='btn btn-danger btn-sm delete-prev' data-toggle="tooltip"
                                                               data-placement="top" title="Elimina preventivo" data-idPreventivo="<?php echo $prev->idPreventivo;?>"
                                                               onclick="return confirm('Sicuro di voler eliminare il preventivo?');"><i
                                                                        class="fa fa-trash" aria-hidden="true"></i>
                                                                #<?php echo $prev->idPreventivo ?></a>
                                                        </div>
                                                    <?php } ?>
                                                <?php } ?>
                                            <?php } ?>
                                        </div>
                                        <div class="hidden-xs hidden-sm col-md-5 text-right">
                                            <h2><?php echo $chiamata->nrChiamata; ?> <i
                                                        class="fa fa-circle hidden-print status-point status-<?php echo(JFilterOutput::stringURLSafe($statoChiamata[$chiamata->stato])) ?>"></i>
                                            </h2>
                                        </div>
                                    </div>
                                    <?php if ($chiamata->interventi) : ?>
                                        <div class="row interventi">
                                            <?php foreach ($chiamata->interventi as $j => $intervento) { ?>
                                                <div class="dettagli-intervento col-sm-6 col-lg-4 col-xs-12"
                                                     data-idIntervento='<?php echo $intervento->idIntervento ?>'
                                                     data-idChiamata='<?php echo $intervento->idChiamata ?>'>
                                                    <h4 class="clearfix">
                                                        <span class='text-muted'>#<?php echo $intervento->idIntervento ?></span>
                                                        Intervento <?php echo $j + 1; ?>
                                                        <div class="pull-right">
                                                            <?php if ($intervento->statoIntervento == 0): ?>
                                                                <i class="fa fa-circle hidden-print status-point status-aperta"></i>
                                                            <?php elseif ($intervento->statoIntervento == 1): ?>
                                                                <i class="fa fa-circle hidden-print status-point status-chiusa"></i>
                                                            <?php elseif ($intervento->statoIntervento == 2): ?>
                                                                <i class="fa fa-circle hidden-print status-point status-sospesa"></i>
                                                            <?php endif; ?>
                                                        </div>
                                                        <!--<span class="pull-right <?php /*echo ($intervento->statoIntervento == 1 ? "text-success" : ($intervento->statoIntervento == 2 ? "text-warning" : "")) */ ?>"><?php /*echo ($intervento->statoIntervento == 1 ? "Chiuso" : ($intervento->statoIntervento == 2 ? "Sospeso" : "")) */ ?></span>-->
                                                    </h4>
                                                    <p>
                                                        <strong>Tipologia: </strong><?php echo $tipoIntervento[$intervento->idTipoIntervento]; ?>
                                                    </p>
                                                    <p><strong>Data
                                                            pianificata: </strong><?php if ($intervento->dataPianificata) {
                                                            echo date("d/m/Y H:i", strtotime($intervento->dataPianificata));
                                                        } ?></p>
                                                    <p>
                                                        <strong>Note: </strong> <?php echo($intervento->note ? $intervento->note : "-") ?>
                                                    </p>
                                                    <p><strong>Team
                                                            leader: </strong> <?php echo($intervento->idInviaMailA ? JFactory::getUser($intervento->idInviaMailA)->get("name") : "-") ?>
                                                    </p>
                                                    <?php if ($intervento->idInterventoRiferimento) : ?>
                                                        <p class="text-muted"><b>Riferimento all'intervento:</b>
                                                            #<?php echo $intervento->idInterventoRiferimento ?></p>
                                                    <?php endif; ?>
                                                    <?php if ($intervento->statoIntervento == 2) : ?>
                                                        <p class="text-muted"><b>Dettagli
                                                                sospensione:</b> <?php echo $intervento->noteCambioStato ?>
                                                        </p>
                                                    <?php endif; ?>
                                                    <div class="hide-print row">
                                                        <?php if (!$intervento->statoIntervento) : ?>
                                                            <div class="btn-group col-xs-12" style='margin-top: 15px'>
                                                                <?php if (!$intervento->idDuvri && !$intervento->idRapporto) { ?>
                                                                    <a class="btn btn-sm btn-primary col-xs-6"
                                                                       style='width: 100%; max-width: 100%!important; min-width: 100%!important'
                                                                       href="<?php echo JRoute::_('index.php?option=com_osma&view=chiusura&idChiamata=' . $intervento->idChiamata . '&idIntervento=' . $intervento->idIntervento); ?>">Compila
                                                                        DUVRI e rapporto</a>
                                                                <?php } else { ?>
                                                                    <?php if ($intervento->idDuvri) { ?>
                                                                        <a class="btn btn-sm btn-primary col-xs-6"
                                                                           target="_blank"
                                                                           href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.visualizzaPDFduvri&format=raw&id={$intervento->idDuvri}") ?>">Visualizza
                                                                            DUVRI</a>
                                                                    <?php } else { ?>
                                                                        <a class="btn btn-sm btn-primary col-xs-6"
                                                                           href="<?php echo JRoute::_('index.php?option=com_osma&view=chiusura&idChiamata=' . $intervento->idChiamata . '&idIntervento=' . $intervento->idIntervento); ?>">Compila
                                                                            DUVRI</a>
                                                                    <?php } ?>
                                                                    <?php if ($intervento->idRapporto) { ?>
                                                                        <a class="btn btn-sm btn-primary col-xs-6"
                                                                           target="_blank"
                                                                           href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.visualizzaPDFrapporto&format=raw&idRapporto={$intervento->idRapporto}&idChiamata={$intervento->idChiamata}") ?>">Visualizza
                                                                            rapporto</a>
                                                                    <?php } else { ?>
                                                                        <a class="btn btn-sm btn-primary col-xs-6"
                                                                           href="<?php echo JRoute::_('index.php?option=com_osma&view=chiusura&idChiamata=' . $intervento->idChiamata . '&idIntervento=' . $intervento->idIntervento . '#registro'); ?>">Compila
                                                                            rapporto</a>
                                                                    <?php } ?>
                                                                <?php } ?>
                                                            </div>
                                                            <div class="btn-group col-xs-12" style='margin-top: 15px'>
                                                                <a class="btn btn-sm btn-warning sospendi-intervento col-xs-6"
                                                                   data-toggle="modal"
                                                                   data-target="#sospendi-intervento">Sospendi
                                                                    intervento</a>
                                                                <a class="btn btn-sm btn-success chiudi-intervento col-xs-6"
                                                                   data-toggle="modal" data-target="#chiudi-intervento">Chiudi
                                                                    intervento</a>
                                                            </div>
                                                        <?php elseif ($intervento->idDuvri || $intervento->idRapporto) : ?>
                                                            <div class="btn-group col-xs-12" style='margin-top: 15px'>
                                                                <?php if ($intervento->idDuvri) { ?>
                                                                    <a class="btn btn-sm btn-primary col-xs-6"
                                                                       target="_blank"
                                                                       href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.visualizzaPDFduvri&format=raw&id={$intervento->idDuvri}") ?>">Visualizza
                                                                        DUVRI</a>
                                                                <?php } ?>
                                                                <?php if ($intervento->idRapporto) { ?>
                                                                    <a class="btn btn-sm btn-primary col-xs-6"
                                                                       target="_blank"
                                                                       href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.visualizzaPDFrapporto&format=raw&idRapporto={$intervento->idRapporto}&idChiamata={$intervento->idChiamata}") ?>">Visualizza
                                                                        rapporto</a>
                                                                <?php } ?>
                                                            </div>
                                                        <?php elseif ($intervento->files) : ?>
                                                            <div class="btn-group col-xs-12" style='margin-top: 15px'>
                                                                <?php if ($intervento->files[1]) { ?>
                                                                    <?php
                                                                    $thisHTML = "<ul>";
                                                                    foreach ($intervento->files[1] as $file) {
                                                                        $thisHTML .= "<li><a target='_blank' href='" . JUri::base() . "components/com_osma/files/chiamate/{$chiamata->idChiamata}/{$file->fileName}'>{$file->fileName}</a></li>";
                                                                    }
                                                                    $thisHTML .= "</ul>";
                                                                    ?>
                                                                    <a class="btn btn-sm btn-primary allegati-intervento-btn col-xs-6"
                                                                       data-html="<?php echo $thisHTML ?>"
                                                                       data-toggle="modal"
                                                                       data-target="#allegati-intervento"
                                                                       data-title="Allegati al DUVRI dell'intervento">Visualizza
                                                                        DUVRI allegato</a>
                                                                <?php } ?>
                                                                <?php if ($intervento->files[2]) { ?>
                                                                    <?php
                                                                    $thisHTML = "<ul>";
                                                                    foreach ($intervento->files[2] as $file) {
                                                                        $thisHTML .= "<li><a target='_blank' href='" . JUri::base() . "components/com_osma/files/chiamate/{$chiamata->idChiamata}/{$file->fileName}'>{$file->fileName}</a></li>";
                                                                    }
                                                                    $thisHTML .= "</ul>";
                                                                    ?>
                                                                    <a class="btn btn-sm btn-primary allegati-intervento-btn col-xs-6"
                                                                       data-html="<?php echo $thisHTML ?>"
                                                                       data-toggle="modal"
                                                                       data-target="#allegati-intervento"
                                                                       data-title="Allegati al rapporto dell'intervento">Visualizza
                                                                        rapporto allegato</a>
                                                                <?php } ?>
                                                            </div>
                                                        <?php endif; ?>
                                                        <?php if (osmaHelper::getChecklist($intervento->idIntervento) || osmaHelper::hasDichiarazioneRapporto($intervento->idIntervento) || osmaHelper::getLibrettiMetrologici($intervento->idIntervento)) { ?>
                                                            <div class="btn-group col-xs-12" style="margin-top: 15px">
                                                                <?php if (osmaHelper::hasDichiarazioneRapporto($intervento->idIntervento)) { ?>
                                                                    <a class='btn btn-info btn-sm col-sm-4 col-xs-6'
                                                                       href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.dichiarazioneRiparazione&format=raw&idRapporto={$intervento->idRapporto}&idChiamata={$chiamata->idChiamata}") ?>"
                                                                       target="_blank">
                                                                        Dichiarazione di riparazione
                                                                    </a>
                                                                <?php } ?>
                                                                <?php if ($arrayLib = osmaHelper::getLibrettiMetrologici($intervento->idIntervento)) { ?>
                                                                    <a href="javascript:void(0);"
                                                                       data-href='<?php echo json_encode($arrayLib) ?>'
                                                                       class="btn btn-sm btn-info show-libretti col-sm-4 col-xs-6">Libretti
                                                                        metrologici</a>
                                                                <?php } ?>
                                                                <?php if (osmaHelper::getChecklist($intervento->idIntervento)) { ?>
                                                                    <a class='btn btn-info btn-sm col-sm-4 col-xs-6'
                                                                       href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.visualizzaChecklist&format=raw&idChecklist=" . osmaHelper::getChecklist($intervento->idIntervento)) ?>"
                                                                       target="_blank">
                                                                        Checklist
                                                                    </a>
                                                                <?php } ?>
                                                            </div>
                                                        <?php } ?>
                                                    </div>
                                                </div>
                                            <?php } ?>
                                        </div>
                                    <?php endif; ?>
                                </div>

                            </div>
                        </div>
                        <div class='col-lg-1 visible-lg hide-print side-panel'>
                            <div class='row'>
                                <div class="btn-group btn-group-vertical btn-group-square">
                                    <a class="btn mail-send" href="#" data-toggle="modal"
                                       data-target="#invia-comunicazione"
                                       data-id="<?php echo $chiamata->idChiamata; ?>">
                                        <i class="fa fa-envelope" aria-hidden="true"></i>
                                        Invia comunicazione
                                    </a>
                                    <input type="hidden" name="teamLeader[<?php echo $chiamata->idChiamata ?>]"
                                           value="<?php echo $chiamata->teamLeader ?>" disabled="disabled"/>
                                    <a class="btn print" href="#" data-id="<?php echo $chiamata->idChiamata; ?>">
                                        <i class="fa fa-print" aria-hidden="true"></i>
                                        Stampa
                                    </a>
                                    <a class="btn add-attachment" href="#"
                                       data-id="<?php echo $chiamata->idChiamata; ?>">
                                        <i class="fa fa-paperclip" aria-hidden="true"></i>
                                        Aggiungi allegato
                                    </a>
                                    <?php if (!osmaHelper::isAccessLevel(COM_OSMA_AL_MANUTENTORI)) { ?>
                                        <a class="btn"
                                           href="<?php echo JRoute::_('index.php?option=com_osma&view=chiamata&idChiamata=' . $chiamata->idChiamata); ?>">
                                            <i class="fa fa-eye" aria-hidden="true"></i>
                                            Visualizza
                                        </a>
                                    <?php } ?>
                                    <?php if (osmaHelper::isAccessLevel(COM_OSMA_AL_ADMIN) && $chiamata->comunicazioni) { ?>
                                        <a class="btn" href="javascript:void(0)" data-toggle="collapse"
                                           data-target="#mail-history-<?php echo $chiamata->idChiamata ?>">
                                            <i class="fa fa-clock-o" aria-hidden="true"></i>
                                            Storico comunicazioni
                                        </a>
                                    <?php } ?>
                                </div>
                            </div>
                        </div>
                        <div class='col-sm-12 col-xs-12 hidden-lg hide-print side-panel' style="margin-top: 0">
                            <div class="btn-group btn-group-square row" style="display: block;">
                                <a class="btn mail-send col-xs-6 col-sm-2" href="#" data-toggle="modal"
                                   data-target="#invia-comunicazione" data-id="<?php echo $chiamata->idChiamata; ?>">
                                    <i class="fa fa-envelope" aria-hidden="true"></i>
                                    Invia comunicazione
                                </a>
                                <input type="hidden" name="teamLeader[<?php echo $chiamata->idChiamata ?>]"
                                       value="<?php echo $chiamata->teamLeader ?>" disabled="disbled"/>
                                <a class="btn print col-xs-6 col-sm-2" href="#"
                                   data-id="<?php echo $chiamata->idChiamata; ?>">
                                    <i class="fa fa-print" aria-hidden="true"></i>
                                    Stampa
                                </a>
                                <a class="btn add-attachment col-xs-6 col-sm-2" href="#"
                                   data-id="<?php echo $chiamata->idChiamata; ?>">
                                    <i class="fa fa-paperclip" aria-hidden="true"></i>
                                    Aggiungi allegato
                                </a>
                                <?php if (!osmaHelper::isAccessLevel(COM_OSMA_AL_MANUTENTORI)) { ?>
                                    <a class="btn col-xs-6 col-sm-2"
                                       href="<?php echo JRoute::_('index.php?option=com_osma&view=chiamata&idChiamata=' . $chiamata->idChiamata); ?>">
                                        <i class="fa fa-eye" aria-hidden="true"></i>
                                        Visualizza
                                    </a>
                                <?php } ?>
                                <?php if (osmaHelper::isAccessLevel(COM_OSMA_AL_ADMIN) && $chiamata->comunicazioni) { ?>
                                    <a class="btn col-xs-6 col-sm-2" href="javascript:void(0)" data-toggle="collapse"
                                       data-target="#mail-history-<?php echo $chiamata->idChiamata ?>">
                                        <i class="fa fa-clock-o" aria-hidden="true"></i>
                                        Storico comunicazioni
                                    </a>
                                <?php } ?>
                            </div>
                        </div>
                        <?php if (osmaHelper::isAccessLevel(COM_OSMA_AL_ADMIN) && $chiamata->comunicazioni) : ?>
                            <div class="col-sm-12 collapse mail-history"
                                 id="mail-history-<?php echo $chiamata->idChiamata ?>">
                                <ul class="row">
                                    <?php foreach ($chiamata->comunicazioni as $mail) { ?>
                                        <li class="col-sm-3">
                                            <b>Comunicazione inviata in
                                                data:</b> <?php echo date("d/m/Y H:i", strtotime($mail->inserted)) ?> da
                                            <b><?php echo $mail->name ?></b>
                                            <p><?php echo $mail->comunicazione ?></p>
                                            <?php $allegati = unserialize($mail->allegati); ?>
                                            <?php if ($allegati) { ?>
                                                <div class="allegati">
                                                    <b>Allegati: </b>
                                                    <ul>
                                                        <?php foreach ($allegati as $k => $v) { ?>
                                                            <?php $filename = end(explode("/", $v)); ?>
                                                            <li>
                                                                <a href="<?php echo str_replace(JPATH_ROOT . "/", JUri::root(), $v) ?>"
                                                                   target="_blank"><?php echo $filename ?></a></li>
                                                        <?php } ?>
                                                    </ul>
                                                </div>
                                            <?php } ?>
                                        </li>
                                    <?php } ?>
                                </ul>
                            </div>
                        <?php endif; ?>
                    </div>
                <?php } ?>
            <?php } else { ?>
                <p>Nessuna chiamata inserita.</p>
            <?php } ?>
        </div>
    </div>
    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="boxchecked" value="0"/>
    <?php echo JHtml::_('form.token'); ?>
    <input type="hidden" id="ids" name="ids"/>
</form>

<div class="modal fade in" id="sospendi-intervento" style="display: none; padding-left: 0px;">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <form name='sospendiIntervento'>
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h3 class="modal-title">
                        Vuoi sospendere questo intervento?
                    </h3>
                </div>
                <div class="modal-body">
                    <textarea name="noteCambioStato" placeholder="Motiva la sospensione dell'intervento"
                              style="width: 100%; height: 150px"></textarea>
                    <hr class="divider">
                    <h5>Aggiungi allegati</h5>
                    <div id="dropz-sospendi-allegati" class="dropzone"></div>

                    <input type="hidden" id="idIntervento" name="idIntervento"/>
                    <input type="hidden" id="idChiamata" name="idChiamata"/>
                    <input type="hidden" id="statoIntervento" name="statoIntervento" value="2"/>
                </div>
                <div class="modal-footer">
                    <div class="row">
                        <div class="col-sm-12 text-right">
                            <span class="btn-group">
                                <a class="btn btn-success sospendi-intervento-button disabled"><i
                                            class="fa fa-check-circle"></i> Conferma</a>
                                <a class="btn btn-default" data-dismiss="modal"><i class="fa fa-times"></i> Annulla</a>
                            </span>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade in" id="chiudi-intervento" style="display: none; padding-left: 0px;">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <form name='chiudiIntervento'>
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h3 class="modal-title">
                        Vuoi chiudere questo intervento?
                    </h3>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-sm-6">
                            <h5>DUVRI</h5>
                            <div id="dropz-duvri" class="dropzone" data-tipo="1"></div>
                        </div>
                        <div class="col-sm-6">
                            <h5>Rapporto di manutenzione</h5>
                            <div id="dropz-rapporto" class="dropzone" data-tipo="2"></div>
                        </div>
                        <div class="col-sm-12" style="margin-top: 15px">
                            <h5>Allegati</h5>
                            <div id="dropz-chiudi-allegati" class="dropzone" data-tipo="1"></div>
                        </div>
                    </div>

                    <hr class="divider">
                    <div style="margin-bottom: 0">
                        <b>Attenzione:</b> sono stati rimossi dei piombi?
                        <label for="rimozionePiombi1">
                            <input type="radio" name="rimozionePiombi" id="rimozionePiombi1" value="1"> Si
                        </label>
                        <label for="rimozionePiombi0">
                            <input type="radio" name="rimozionePiombi" id="rimozionePiombi0" value="0"
                                   checked="checked"> No
                        </label>
                        <div class="hidden checkRimozionePiombi">
                            <p class="text-muted" style="margin-bottom: 0; margin-top: 15px;"><b>Nota:</b> cliccando su
                                Conferma, dichiari che, nel caso di rimozione piombi, è stato compilato il modulo di
                                rilegalizzazione.</p>
                        </div>
                    </div>
                    <input type="hidden" id="idIntervento" name="idIntervento"/>
                    <input type="hidden" id="idChiamata" name="idChiamata"/>
                    <input type="hidden" id="statoIntervento" name="statoIntervento" value="1"/>
                </div>
                <div class="modal-footer">
                    <div class="row">
                        <div class="col-sm-12 text-right">
                            <span class="btn-group">
                                <a class="btn btn-success chiudi-intervento-button disabled"><i
                                            class="fa fa-check-circle"></i> Conferma</a>
                                <a class="btn btn-default" data-dismiss="modal"><i class="fa fa-times"></i> Annulla</a>
                            </span>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade in" id="invia-comunicazione" style="display: none; padding-left: 0px;">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <form name='inviaComunicazione'>
                <div class="modal-header">
                    <a type="button" class="close" data-dismiss="modal" aria-hidden="true">×</a>
                    <h3 class="modal-title">
                        Comunicazione
                    </h3>
                </div>
                <div class="modal-body">
                    <textarea name="comunicazione" placeholder="Inserisci la tua comunicazione"
                              style="width: 100%; height: 150px"></textarea>
                    <input type="hidden" name="fromAdmin"
                           value="<?php echo(osmaHelper::isAccessLevel(COM_OSMA_AL_ADMIN) ? "1" : "0") ?>">


                    <?php if (osmaHelper::isAccessLevel(COM_OSMA_AL_ADMIN)) : ?>
                        <hr class="divider">
                        <div class="clearfix">
                            <div class="">
                                <label>Seleziona destinatario</label>
                                <select name="to" style="width: 100%;">
                                    <option value="cliente">Cliente</option>
                                    <option value="punto-vendita">Punto vendita</option>
                                    <option value="ufficio">Ufficio</option>
                                </select>

                            </div>
                            <div class="clearfix">
                                <div class="">
                                    <label>Oppure digita la mail</label>
                                    <input type="email" name="inviaA" id="inviaA" style="width: 100%;"/>
                                </div>
                            </div>
                            <hr class="divider">
                            <h5>Aggiungi allegati</h5>
                            <div id="dropz-comunicazione" class="dropzone" data-tipo="3"
                                 style="margin-top: 15px;"></div>
                        </div>
                    <?php endif; ?>

                    <input type="hidden" id="idChiamata" name="idChiamata"/>
                </div>
                <div class="modal-footer">
                    <div class="row">
                        <div class="col-sm-12 text-right">
                            <span class="btn-group">
                                <a class="btn btn-success invia-comunicazione-button disabled"
                                   href="javascript:void(0);"><i class="fa fa-check-circle"></i> Conferma</a>
                                <a type="button" class="btn btn-default" data-dismiss="modal"
                                   href="javascript:void(0);"><i class="fa fa-times"></i> Annulla</a>
                            </span>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade in" id="add-attachment" style="display: none; padding-left: 0px;">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <form name='add-attachment'>
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h3 class="modal-title">
                        Aggiungi allegati alla chiamata
                    </h3>
                </div>
                <div class="modal-body">
                    <div class="clearfix">
                        <div id="dropz-attachment" class="dropzone" data-tipo="4" style="margin-top: 15px;"></div>
                    </div>
                    <input type="hidden" id="idChiamata" name="idChiamata"/>
                </div>
                <div class="modal-footer">
                    <div class="row">
                        <div class="col-sm-12 text-right">
                            <span class="btn-group">
                                <a class="btn btn-success add-attachment-button disabled" href="javascript:void(0);"><i
                                            class="fa fa-check-circle"></i> Conferma</a>
                                <a type="button" class="btn btn-default" data-dismiss="modal"
                                   href="javascript:void(0);"><i class="fa fa-times"></i> Annulla</a>
                            </span>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade in" id="invia-nuova-comunicazione" style="display: none; padding-left: 0px;">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <form name='inviaNuovaComunicazione'>
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h3 class="modal-title">
                        Invia comunicazione agli amministratori
                    </h3>
                </div>
                <div class="modal-body">
                    <textarea name="comunicazione" placeholder="Inserisci la tua comunicazione"
                              style="width: 100%; height: 150px"></textarea>
                </div>
                <div class="modal-footer">
                    <div class="row">
                        <div class="col-sm-12 text-right">
                            <span class="btn-group">
                                <a class="btn btn-success invia-nuova-comunicazione-button disabled"
                                   href="javascript:void(0);"><i class="fa fa-check-circle"></i> Conferma</a>
                                <a type="button" class="btn btn-default" data-dismiss="modal"
                                   href="javascript:void(0);"><i class="fa fa-times"></i> Annulla</a>
                            </span>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade in" id="allegati-intervento" style="display: none; padding-left: 0px">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h3 class="modal-title"></h3>
            </div>
            <div class="modal-body">

            </div>
            <div class="modal-footer">
                <div class="row">
                    <div class="col-sm-12 text-right">
                        <button type="button" class="btn btn-default" data-dismiss="modal"><i class="fa fa-times"></i>
                            Chiudi
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade in" id="show-libretti" style="display: none; padding-left: 0px">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h3 class="modal-title"</h3>
            </div>
            <div class="modal-body">

            </div>
            <div class="modal-footer">
                <div class="row">
                    <div class="col-sm-12 text-right">
                        <button type="button" class="btn btn-default" data-dismiss="modal"><i class="fa fa-times"></i>
                            Chiudi
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<style>
    .dropzone {
        padding: 10px 10px 46px;
        position: relative;
    }

    .dropzone:after {
        box-sizing: border-box;
        content: "+ Clicca per aggiungere";
        color: #AAA;
        position: absolute;
        bottom: 0;
        padding: 15px;
        right: 0;
        left: 0;
        text-align: center;
        transition: all .2s ease-in-out;
    }

    .dropzone:hover:after {
        color: black;
    }

    .dropzone .dz-default {
        display: none;
    }

    .dropzone .dz-preview {
        margin: 0;
        padding: 5px;
        width: 33.3333333333% !important;
        min-height: 70px;
        overflow: hidden
    }

    .dropzone .dz-preview .dz-image {
        max-width: 100% !important;
        width: 100% !important;
        height: auto !important
    }
</style>
<script>
    jQuery(function ($) {
        $(document).on("change", "[name='rimozionePiombi']", function () {
            if ($(this).val() === "1") {
                $(".checkRimozionePiombi").removeClass("hidden");
            } else {
                $(".checkRimozionePiombi").addClass("hidden");
            }
        });
    });
</script>